Page MenuHomePhabricator

Coordinate Wikimedia's participation in Google Summer of Code 2018 and Outreachy Round 16
Closed, ResolvedPublic

Description

Timeline for the next GSoC round is (for Outreachy it is more or less the same, will update later when it is available on the website):

  • January 23, 17:00 UTC - mentoring organization applications due
  • March 27 - Student applications due
  • April 27 - Accepted students announced
  • May 14 - August 14 - coding period

TODOS

For:

After the program is announced (By Jan 23)
  • Apply as a mentoring organization for GSoC
  • Inform Outreachy organizers that Wikimedia will participate as a mentoring org
  • Explore Outreachy's new dashboard
  • Set up a GSoC 18 and Outreachy Round 16 page on Wiki
  • Recruit two organization administrators (from the list of mentors in the previous round)
    • Email folks who were a mentor in the previous edition (2017)
  • Create a Outreachy-Round-16 and Google-Summer-of-Code-18 project tag on Phab
  • Recruit ideas for projects and mentors
    • Approach mentors of projects on New Developers landing page
    • Look for projects in the Possible-tech-projects workboard
    • Reach out to previous year GSoC / Outreachy candidates (both participants and mentors) for ideas
    • Elsewhere
  • Zulip chat stream setup
After the accepted mentoring organizations are announced (Feb 12)
  • Call for mentors and projects: email to Wikitech-I and Wikimedia-I
  • Check with folks: MusikAnimal, Prateek, Jayvdb, Alangi, Alex S, Tony
  • Check with Ben about connecting CE tech needs with GSoC / Outreachy
  • Check with mentors and students from the previous edition
  • Check with mentors listed on the New Developers guide
  • Check with team leads if there is an interest in mentoring a project
  • Social media outreach via MediaWiki/ Wikimedia channel
    • Ask candidates from the previous editions to share these posts through their network
  • Invite mentors to be on the GSoC dashboard
  • Host a chat on Zulip for applicants of both programs

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2018, 12:12 AM
srishakatux triaged this task as Medium priority.Jan 5 2018, 12:13 AM
srishakatux updated the task description. (Show Details)Jan 5 2018, 12:36 AM
jayvdb added a subscriber: jayvdb.Jan 5 2018, 4:43 AM

Yay! @jayvdb is willing to be one of the org admins for GSoC'18 and Outreachy'16 :)

Aklapper updated the task description. (Show Details)Jan 10 2018, 3:24 PM
srishakatux raised the priority of this task from Medium to High.Jan 17 2018, 10:14 PM
srishakatux updated the task description. (Show Details)Jan 19 2018, 10:47 PM
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)Feb 13 2018, 6:09 AM
srishakatux updated the task description. (Show Details)Feb 13 2018, 1:08 PM
srishakatux updated the task description. (Show Details)Feb 27 2018, 10:19 AM
srishakatux lowered the priority of this task from High to Medium.May 3 2018, 11:47 PM